send_nsca(8)

NAME
send_nsca - send passive check results to an NSCA daemon

SYNOPSIS
send_nsca -H <host_address> [-p port] [-to to_sec] [-d delim] [ -c config_file]

DESCRIPTION
send_nsca This utility is used to send passive check results to the NSCA daemon. Host and Service check data that is to be sent to the NSCA daemon is read from standard input. Input should be provided in the following format (tab-delimited unless overridden with -d command line argument, one entry per line):

Service Checks
    <host>\t<svc_description>\t<return_code>\t<plugin_output>\n

Host Checks:
    <host>\t<return_code>\t<plugin_output>\n

OPTIONS

host_address
    The IP address of the host running the NSCA daemon

port
    The port on which the daemon is running - default is 5667

to_sec
    Number of seconds before connection attempt times out. (default timeout is 10 seconds)

delim
    Delimiter to use when parsing input (defaults to a tab)

config_file
    Name of config file to use

SEE ALSO

nsca(1)

FILES

/etc/nsca.cfg
    nsca server configuration

/etc/send_nsca.cfg
    send_nsca configuration

AUTHOR
NSCA was written by Ethan Galstad <nagios@nagios.org>. This manpage was written by sean finney <seanius@debian.org> for Debian (but it may be freely used, modified, and redistributed by others).